=== debian/changelog ===
openigtlink (1.10.5-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:34:40 +0100

openigtlink (1.10.5-1) unstable; urgency=low

  * new upstream release (Closes: #730743)
  * Update to Debian Policy 3.9.5 (no changes)

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 03 Dec 2013 22:27:13 -0500

openigtlink (1.10.4~git20131104+3ac531115f-2) unstable; urgency=low

  * renamed package from libopenigtlink1-dev to libopenigtlink-dev

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 18 Nov 2013 21:19:51 -0500

openigtlink (1.10.4~git20131104+3ac531115f-1) unstable; urgency=low

  * upload to unstable
  * added DEB_COMPRESS_EXCLUDE_ALL

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 10 Nov 2013 18:10:35 -0500

openigtlink (1.10.2~git20131004+00bc77849f-1) experimental; urgency=low

  * update to libopenigtlink1.10
  * fixes tests on armel, armfh, powerpc, s390, and s390x

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 06 Oct 2013 20:49:36 -0400

openigtlink (1.9.8~git20130725+bacab6f8b1-2) experimental; urgency=low

  * use build indep target install/openigtlink-doc:: to build documentation
  * removed DM-Upload-Allowed field

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 18 Aug 2013 02:48:09 -0400

openigtlink (1.9.8~git20130725+bacab6f8b1-1) experimental; urgency=low

  * switch to new upstream repository on github
  * updated homepage to http://openigtlink.org
  * Bump compat level to 9
  * Update to Debian Policy 3.8.4 (no changes)

  [Andreas Tille]
  * debian/control:
     - Fixed Vcs fields
     - More verbose long description

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 18 Aug 2013 02:13:36 -0400
