=== debian/control ===
Source: openigtlink
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Belhachemi <domibel@debian.org>
Build-Depends: debhelper (>= 9), cmake, cdbs, quilt
Build-Depends-Indep: doxygen-latex
Standards-Version: 3.9.5
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/openigtlink/trunk/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/openigtlink/trunk/
Section: libs
Homepage: http://openigtlink.org


Package: libopenigtlink-dev
Replaces: libopenigtlink1-dev (<< 1.10.4~git20131104+3ac531115f-2)
Breaks: libopenigtlink1-dev (<< 1.10.4~git20131104+3ac531115f-2)
Section: libdevel
Architecture: any
Depends: libopenigtlink1.10v5 (= ${binary:Version}), ${misc:Depends}
Description: Open IGT Link is a simple network protocol - development
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains the development files needed to build
 your own IGT applications.


Package: libopenigtlink1.10v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libopenigtlink1.10
Replaces: libopenigtlink1.10
Description: Open IGT Link is a simple network protocol - runtime
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application. 
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains library files for OpenIGTLink.
 

Package: libopenigtlink1.10v5-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    libopenigtlink1.10v5 (= ${binary:Version}),
    ${misc:Depends}
Conflicts: libopenigtlink1.10-dbg
Replaces: libopenigtlink1.10-dbg
Description: debugging symbols for libopenigtlink1.10v5
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains the debugging symbols for libopenigtlink1.10.


Package: openigtlink-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Open IGT Link is a simple network protocol - documentation
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains documentation files for OpenIGTLink.


Package: openigtlink-examples
Section: doc
Suggests: libopenigtlink-dev
Architecture: all
Depends: ${misc:Depends}
Description: Open IGT Link is a simple network protocol - examples
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains examples from the OpenIGTLink source.
 .
 Consult /usr/share/doc/libopenigtlink-dev/README.Debian for details.
