=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CMAKE_EXTRA_FLAGS = \
        -DCMAKE_INSTALL_PREFIX:PATH=/usr \
        -DCMAKE_BUILD_TYPE:STRING=Release \
        -DCMAKE_SKIP_RPATH:BOOL=ON \
        -DBUILD_SHARED_LIBS:BOOL=ON \
        -DBUILD_DOCUMENTATION:BOOL=ON \
        -DBUILD_TESTING:BOOL=ON \
        -DBUILD_EXAMPLES:BOOL=OFF \
        -DOpenIGTLink_PROTOCOL_VERSION_2:BOOL=ON \
        -DCMAKE_VERBOSE_MAKEFILE=$(DH_VERBOSE) \

DEB_COMPRESS_EXCLUDE_ALL = openigtlink-examples/examples

build/libopenigtlink1.10v5::
	- cd $(DEB_BUILDDIR) && LD_LIBRARY_PATH=`pwd`/bin:$$LD_LIBRARY_PATH ctest -VV

install/libopenigtlink1.10v5::
	dh_install -plibopenigtlink1.10    debian/tmp/usr/lib/*.so.*                usr/lib

install/libopenigtlink-dev::
	dh_install -plibopenigtlink-dev    debian/tmp/usr/include/openigtlink/*     usr/include/openigtlink
	dh_install -plibopenigtlink-dev    debian/tmp/usr/lib/*.so                  usr/lib
	dh_install -plibopenigtlink-dev    debian/tmp/usr/lib/openigtlink/*.cmake   usr/lib/openigtlink

install/openigtlink-examples::
	dh_installexamples -popenigtlink-examples Examples/*

# the first two lines have been moved from target "build/openigtlink-doc::" because of build errors on all architectures
# e.g. https://buildd.debian.org/fetch.cgi?pkg=openigtlink&arch=armel&ver=1.9.2~svn7380-1&stamp=1303034727&file=log
install/openigtlink-doc::
	mkdir -p $(DEB_BUILDDIR)/Documents/Doxygen
	doxygen -u $(DEB_BUILDDIR)/Utilities/Doxygen/doxygen.config
	doxygen $(DEB_BUILDDIR)/Utilities/Doxygen/doxygen.config
	dh_install -popenigtlink-doc       $(DEB_BUILDDIR)/Documents/Doxygen/html   usr/share/doc/openigtlink-doc


get-orig-source:
	/bin/sh $(CURDIR)/debian/get-orig-source
