=== Source/CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,7 @@
   igtlLightObject.cxx
   igtlMath.cxx
   igtlMessageBase.cxx
+  igtlMessageFactory.cxx
   igtlMultiThreader.cxx
   igtlMutexLock.cxx
   igtlOSUtil.cxx
@@ -80,6 +81,7 @@
   igtlMacro.h
   igtlMath.h
   igtlMessageBase.h
+  igtlMessageFactory.h
   igtlMessageHeader.h
   igtlMultiThreader.h
   igtlMutexLock.h
