=== Examples/Status/CMakeLists.txt ===
PROJECT(Status)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(OpenIGTLink REQUIRED)

include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(StatusClient   StatusClient.cxx)
TARGET_LINK_LIBRARIES(StatusClient OpenIGTLink)
ADD_EXECUTABLE(StatusServer   StatusServer.cxx)
TARGET_LINK_LIBRARIES(StatusServer OpenIGTLink)
