=== debian/changelog ===
openigtlink (1.11.0-1) unstable; urgency=low

  * new upstream release
  * update to libopenigtlink1.11 (Closes: #791227)
  * Update to Debian Policy 3.9.6 (no changes)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 21 Aug 2015 23:26:34 -0400
