=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: openigtlink
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dominique Belhachemi <domibel@debian.org>
 Build-Depends: debhelper (>= 9), cmake, cdbs, quilt
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/openigtlink/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/openigtlink/trunk/
 Section: libs
@@ -17,7 +16,7 @@
 Breaks: libopenigtlink1-dev (<< 1.10.4~git20131104+3ac531115f-2)
 Section: libdevel
 Architecture: any
-Depends: libopenigtlink1.10v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenigtlink1.11 (= ${binary:Version}), ${misc:Depends}
 Description: Open IGT Link is a simple network protocol - development
  Open IGT Link is a simple network protocol intended for trackers,
  robots and other devices to send data to the main application.
@@ -35,11 +34,9 @@
  your own IGT applications.
 
 
-Package: libopenigtlink1.10v5
+Package: libopenigtlink1.11
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libopenigtlink1.10
-Replaces: libopenigtlink1.10
 Description: Open IGT Link is a simple network protocol - runtime
  Open IGT Link is a simple network protocol intended for trackers,
  robots and other devices to send data to the main application. 
@@ -56,16 +53,14 @@
  This package contains library files for OpenIGTLink.
  
 
-Package: libopenigtlink1.10v5-dbg
+Package: libopenigtlink1.11-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends:
-    libopenigtlink1.10v5 (= ${binary:Version}),
+    libopenigtlink1.11 (= ${binary:Version}),
     ${misc:Depends}
-Conflicts: libopenigtlink1.10-dbg
-Replaces: libopenigtlink1.10-dbg
-Description: debugging symbols for libopenigtlink1.10v5
+Description: debugging symbols for libopenigtlink1.11
  Open IGT Link is a simple network protocol intended for trackers,
  robots and other devices to send data to the main application.
  Some devices might also accept commands.
@@ -78,7 +73,7 @@
   * Robot-assisted intervention using robotic device and surgical planning
     software 
  .
- This package contains the debugging symbols for libopenigtlink1.10.
+ This package contains the debugging symbols for libopenigtlink1.11.
 
 
 Package: openigtlink-doc
