=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,11 @@
 
 DEB_COMPRESS_EXCLUDE_ALL = openigtlink-examples/examples
 
-build/libopenigtlink1.10v5::
+build/libopenigtlink1.11::
 	- cd $(DEB_BUILDDIR) && LD_LIBRARY_PATH=`pwd`/bin:$$LD_LIBRARY_PATH ctest -VV
 
-install/libopenigtlink1.10v5::
-	dh_install -plibopenigtlink1.10    debian/tmp/usr/lib/*.so.*                usr/lib
+install/libopenigtlink1.11::
+	dh_install -plibopenigtlink1.11    debian/tmp/usr/lib/*.so.*                usr/lib
 
 install/libopenigtlink-dev::
 	dh_install -plibopenigtlink-dev    debian/tmp/usr/include/openigtlink/*     usr/include/openigtlink
