=== debian/watch ===
version=3
opts=uversionmangle=s/^/1.0.0~svn/,filenamemangle=s/.*rev=(\d+)&.*/openigtlink_1.0.0~svn$1.orig.tar.gz/ \
http://viewvc.na-mic.org/viewcvs.cgi/trunk/OpenIGTLink/?root=NAMICSandBox ^/viewcvs.cgi\?rev=(\d+)&root=NAMICSandBox&view=rev$ \
	debian /bin/sh debian/get-orig-source
